Skip to main content

Models Created by Me

Overview​

This API endpoint retrieves a list of models created by you. You can also configure the visibility of data associated with these models and share them with others.

Request​

GET https://api.peperwork.ai/api/model/info/v2/listCreateByMeModels

Response body​

NameTypeMandatoryDescription
modelIdstringtrueThe unique identifier of the model
modelNamestringtrueThe name of the model
descriptionstringtrueDescription information of the model
createTimelongtrueTimestamp of the model's creation time
updateTimelongtrueTimestamp of the last update time of this model

Example request​

curl -i -X GET https://api.peperwork.ai/api/model/info/v2/listCreateByMeModels \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $DOCAI_API_KEY"

Example response​

{
"code": 200,
"message": null,
"costTime": null,
"data": [
{
"modelId": "e15f9f3adf3b421ab6d91fabe4ac3d65",
"modelName": "Invoice Model",
"description": "description",
"createTime": 1692792479000,
"updateTime": 1695069965000
}
],
"requestId": "a3d513902f554e2d842321d71b9102b6",
"currentTimeMillis": 1695280438196
}